Common
Keywords: com.fg.xmleditor.Common interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.xmleditor
Interface Common

All Known Implementing Classes:
  CacheStore, Exposer, TreeViewBuilder, Validator

public interface Common

Common iterface defines common constants used within `com.fg.xmleditor` package.

Version:
  1.0
Author:
  Felix Golubov

Field Summary
`static java.lang.String` | `APPINFO` APPINFO = "appinfo"
`static java.lang.String` | `EDITOR_CLASS` EDITOR_CLASS = "editor-class"
`static java.lang.String` | `EDITOR_ID` EDITOR_ID = "editor-id"
`static java.lang.String` | `EXPOSED` EXPOSED = "exposed"
`static int` | `EXPOSED_FLAG` EXPOSED_FLAG = 1 << 11
`static java.lang.String` | `FALSE` FALSE = "false"
`static java.lang.String` | `ID` ID = "ID"
`static int` | `ID_FLAG` ID_FLAG = 1 << 12
`static java.lang.String` | `IDREF` IDREF = "IDREF"
`static int` | `IDREF_FLAG` IDREF_FLAG = 1 << 13
`static java.lang.String` | `MESSAGE` MESSAGE = "message"
`static java.lang.String` | `NAME` NAME = "name"
`static java.lang.String` | `NODE_INFO` NODE_INFO = "node-info"
`static java.lang.String` | `PARAM` PARAM = "param"
`static java.lang.String` | `SCHEMA_NS` SCHEMA_NS = "http://www.w3.org/2001/XMLSchema"
`static java.lang.String` | `TRUE` TRUE = "true"

Field Detail

### SCHEMA_NS

    public static final java.lang.String SCHEMA_NS

  SCHEMA_NS = "http://www.w3.org/2001/XMLSchema"

  See Also:
    Constant Field Values

### ID

    public static final java.lang.String ID

  ID = "ID"

  See Also:
    Constant Field Values

### IDREF

    public static final java.lang.String IDREF

  IDREF = "IDREF"

  See Also:
    Constant Field Values

### APPINFO

    public static final java.lang.String APPINFO

  APPINFO = "appinfo"

  See Also:
    Constant Field Values

### NODE_INFO

    public static final java.lang.String NODE_INFO

  NODE_INFO = "node-info"

  See Also:
    Constant Field Values

### EDITOR_CLASS

    public static final java.lang.String EDITOR_CLASS

  EDITOR_CLASS = "editor-class"

  See Also:
    Constant Field Values

### EDITOR_ID

    public static final java.lang.String EDITOR_ID

  EDITOR_ID = "editor-id"

  See Also:
    Constant Field Values

### MESSAGE

    public static final java.lang.String MESSAGE

  MESSAGE = "message"

  See Also:
    Constant Field Values

### EXPOSED

    public static final java.lang.String EXPOSED

  EXPOSED = "exposed"

  See Also:
    Constant Field Values

### TRUE

    public static final java.lang.String TRUE

  TRUE = "true"

  See Also:
    Constant Field Values

### FALSE

    public static final java.lang.String FALSE

  FALSE = "false"

  See Also:
    Constant Field Values

### PARAM

    public static final java.lang.String PARAM

  PARAM = "param"

  See Also:
    Constant Field Values

### NAME

    public static final java.lang.String NAME

  NAME = "name"

  See Also:
    Constant Field Values

### EXPOSED_FLAG

    public static final int EXPOSED_FLAG

  EXPOSED_FLAG = 1 << 11

  See Also:
    Constant Field Values

### ID_FLAG

    public static final int ID_FLAG

  ID_FLAG = 1 << 12

  See Also:
    Constant Field Values

### IDREF_FLAG

    public static final int IDREF_FLAG

  IDREF_FLAG = 1 << 13

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD